/**
 * 检测升级 使用说明
 * 上传包：
 * 1. 先从数据库取出所有该平台（从上下文读取平台信息，默认 Andriod）的所有线上发行更新
 * 2. 再从所有线上发行更新中取出版本最大的一版。如果可以，尽量先检测wgt的线上发行版更新
 * 3. 使用上步取出的版本包的版本号 和传参 appVersion、wgtVersion 来检测是否有更新，必须同时大于这两项，否则返回暂无更新
 * 4. 如果库中 wgt包 版本大于传参 appVersion，但是不满足 min_uni_version < appVersion，则不会使用wgt更新，会接着判断库中 app包version 是否大于 appVersion
 */
import { getAppVersion } from "@/api/api.js";


export default function checkVersion() {
	return new Promise((resolve, reject) => {
		// #ifdef APP-PLUS
		uni.getSystemInfo({
			success: (res) => {
				let platform = res.platform;
				// 获取本机版本号
				let type;
					platform === "android" ? (type = "ANDROID") : (type = "IOS");
					getAppVersion(`/pawn/setting/other/appVersion/${type}`).then((res) => {
						
						if (res.success==true) {
							let response = res.result.data;
							
							let result = {};
							result.versionCode = response.version;
							result.versionName = response.versionName;
							result.versionInfo = response.content || "暂无";
							result.forceUpdate = response.forceUpdate;
							result.downloadUrl = response.downloadUrl;
							result.is_silently = response.is_silently || false;
							result.platform = platform;
							result.storeList = response.storeList || '';
							result.title = response.title || '';
							result.type = response.type || '';
							resolve(result);
						}
					}).catch(err => {
						reject(err);
					})
			}
		});
		// #endif
	})
}
