import { initHeaderDevice, initHeaderInfo } from './header.js'
import api from '@/config/api.js'
const request = async (url, type, data) => {
	const baseUrl = api.common
	// 这里确保一定是可以获取得到的
	const headerDevice = uni.getStorageSync('m-header-device')
	const deviceInfo = uni.getStorageSync('m-device-info')
	const tokenF = uni.getStorageSync('tokenFinance')
	let rd = null
	try {
		if (!deviceInfo || tokenF == '' && plus.os.name != 'iOS') {
			rd = initHeaderInfo()
		} else {
			if (headerDevice) {
				rd = encodeURIComponent(headerDevice)
			} else {
				const common = initHeaderDevice()
				if (common) {
					rd = JSON.stringify(common)
				}
			}
		}
	} catch (err) {
		console.log(err, 'congzhelizou')
	}



	return new Promise((resolve, reject) => {
		const token = uni.getStorageSync('token')
		const tokenFinance = uni.getStorageSync('tokenFinance')
		uni.request({
			url: baseUrl + url,
			method: type,
			data: {
				...data
			},
			header: {
				Accept: "application/json;charset=UTF-8",
				"Content-Type": "application/json;charset=UTF-8",
				device: rd,
				Authorization: tokenFinance, //贷超
				Author: token, //多典花
			},
			success: (res) => {
				// #ifdef APP
				// console.log(res, 'response')
				// #endif
				const { data, statusCode } = res;
				if (statusCode === 200) {
					if (data.success == true) {
						return resolve(data)
					} else {
						if (data.code == '403') uni.removeStorageSync('token')
						return reject(data)

					}
				} else {
					return reject({ ...data, message: res.errMsg })
				}
			},
			fail: (err) => {
				const locationInfo = uni.getStorageSync('m-location-info')
				if (locationInfo) {
					uni.showToast({
						title: err.message ? err.message : '服务器开小差了~',
						icon: "none",
						duration: 2000
					})
				}
				reject(err)
			}
		});

	})

}
export default request;